package db

import (
	"code.fnuoos.com/go_rely_warehouse/zyos_go_order_relate_rule.git/db/model"
	zhios_order_relate_logx "code.fnuoos.com/go_rely_warehouse/zyos_go_order_relate_rule.git/utils/logx"
	"errors"
	"xorm.io/xorm"
)

//UserLevelInIDescByWeight is  In 查询获取 权重最低 对应等级
func UserLevelInIDescByWeightLow(Db *xorm.Engine) ([]*model.UserLevel, error) {
	var ms []*model.UserLevel
	if err := Db.Asc("level_weight").Limit(1).Find(&ms); err != nil {
		return nil, err
	}
	return ms, nil

}

//UserLevelDescByWeightLow 查询获取 权重最低 对应等级
func UserLevelDescByWeightLow(session *xorm.Session) (userIds []int, err error) {
	var m model.UserLevel
	isGet, err := session.Asc("level_weight").Limit(1).Get(&m)
	if err != nil {
		return userIds, err
	}
	if !isGet {
		return userIds, errors.New("未查询到普通会员等级记录")
	}
	var userList []*model.User
	err = session.Table("user").In("level", m.Id).Find(&userList)
	if err != nil {
		return userIds, err
	}
	for _, item := range userList {
		userIds = append(userIds, item.Uid)
	}
	return userIds, nil

}

// UserLevlEgAll is 获取所有开启等级并且升序返回
func UserLevlEgAll(Db *xorm.Engine) ([]*model.UserLevel, error) {
	var m []*model.UserLevel
	err := Db.Where("is_use = ?", 1).Asc("level_weight").Find(&m)
	if err != nil {
		return nil, zhios_order_relate_logx.Warn(err)
	}
	return m, nil
}
