package model

import (
	"time"
)

type BlockStarChainRewardRecords struct {
	Id                            int64     `json:"id" xorm:"pk autoincr BIGINT(20)"`
	CoinIdForReward               int       `json:"coin_id_for_reward" xorm:"not null default 0 comment('打赏-虚拟币id') INT(11)"`
	CoinIdForDestroyAndDistribute int       `json:"coin_id_for_destroy_and_distribute" xorm:"not null default 0 comment('销毁&派发-虚拟币id') INT(11)"`
	Amount                        string    `json:"amount" xorm:"not null default 0.0000000000 comment('消费金额') DECIMAL(28,10)"`
	RewardUid                     int       `json:"reward_uid" xorm:"not null default 0 comment('打赏uid') INT(11)"`
	BeRewardUid                   int       `json:"be_reward_uid" xorm:"not null default 0 comment('被打赏uid') INT(11)"`
	RewardAccountPhone            int64     `json:"reward_account_phone" xorm:"not null default 0 comment('被打赏账号') BIGINT(20)"`
	RewardValue                   string    `json:"reward_value" xorm:"not null default 0.0000000000 comment('打赏值') DECIMAL(28,10)"`
	DeductionCoin                 string    `json:"deduction_coin" xorm:"not null default 0.0000000000 comment('扣除虚拟币值') DECIMAL(28,10)"`
	DestroyCoinForSystem          string    `json:"destroy_coin_for_system" xorm:"not null default 0.0000000000 comment('销毁虚拟币-系统') DECIMAL(28,10)"`
	DistributeCoinForTeam         string    `json:"distribute_coin_for_team" xorm:"not null default 0.0000000000 comment('派发虚拟币-团队') DECIMAL(28,10)"`
	DestroyCoinForTeam            string    `json:"destroy_coin_for_team" xorm:"not null default 0.0000000000 comment('销毁虚拟币-团队') DECIMAL(28,10)"`
	CreateAt                      time.Time `json:"create_at" xorm:"not null default 'CURRENT_TIMESTAMP' comment('创建时间') DATETIME"`
	UpdateAt                      time.Time `json:"update_at" xorm:"not null default 'CURRENT_TIMESTAMP' DATETIME"`
}
