package md

const (
	FlowDirectionIncome      = 1 //流水 - 收入
	FlowDirectionExpenditure = 2 //流水 - 支出
)

const (
	RedisDataBase             = 0 //TODO::区块星链的缓存统一存入redis 2 号库
	UserVirtualAmountRedisKey = "%s:user_virtual_amount:%d:user:%d"
)

const (
	StaticAreaDistributionTitleForUserVirtualCoinFlow                   = "区块星链-静态区发放"
	DynamicAreaDistributionTitleForUserVirtualCoinFlow                  = "区块星链-动态区发放"
	OperationCenterTitleForUserVirtualCoinFlow                          = "区块星链-运营中心发放"
	OtherTitleForUserVirtualCoinFlow                                    = "区块星链-其他发放"
	StaticIssueAndDestroyStaticContributionTitleForUserVirtualCoinFlow  = "区块星链-静态发放(销毁静态贡献值)"
	DynamicIssueAndDestroyStaticContributionTitleForUserVirtualCoinFlow = "区块星链-动态发放(销毁静态贡献值)"

	RegisterRewardTitleForUserVirtualCoinFlow                           = "区块星链-注册奖励"
	InviteRegisterRewardTitleForUserVirtualCoinFlow                     = "区块星链-邀请注册奖励"
	OfflineConsumeDirectPushRewardByUserTitleForUserVirtualCoinFlow     = "区块星链-线下消费直推奖励(用户)"
	OfflineConsumeDirectPushRewardByBusinessTitleForUserVirtualCoinFlow = "区块星链-线下消费直推奖励(商家)"
	OfflineConsumeGroupRewardByUserTitleForUserVirtualCoinFlow          = "区块星链-线下消费团队奖励(用户)"
	OfflineConsumeGroupRewardByBusinessTitleForUserVirtualCoinFlow      = "区块星链-线下消费团队奖励(商家)"
	OnlineConsumeDirectPushRewardTitleForUserVirtualCoinFlow            = "区块星链-线上消费直推奖励"
	OnlineConsumeGroupRewardTitleForUserVirtualCoinFlow                 = "区块星链-线上消费团队奖励"
	OfflineConsumeBeRewardTitleForUserVirtualCoinFlow                   = "区块星链-线下消费被打赏"
	OfflineConsumeRewardTitleForUserVirtualCoinFlow                     = "区块星链-线下消费打赏"
	OfflineConsumeRewardTitleForMerchantVirtualCoinFlow                 = "区块星链-线下消费打赏(商家)"
	GroupLotteryAndDestroyTitleForUserVirtualCoinFlow                   = "区块星链-自营拼团抽奖销毁"
	GroupLotteryAndDirectPushRewardTitleForUserVirtualCoinFlow          = "区块星链-自营拼团抽奖奖励(直推)"
	GroupLotteryAndGroupRewardTitleForUserVirtualCoinFlow               = "区块星链-自营拼团抽奖奖励(团队)"
)

const (
	StaticAreaDistributionTransferTypeForUserVirtualCoinFlow                   = 100 // 区块星链-静态区发放
	DynamicAreaDistributionTransferTypeForUserVirtualCoinFlow                  = 101 // 区块星链-动态区发放
	StaticIssueAndDestroyStaticContributionTransferTypeForUserVirtualCoinFlow  = 102 // 区块星链-静态发放(销毁静态贡献值)
	DynamicIssueAndDestroyStaticContributionTransferTypeForUserVirtualCoinFlow = 103 // 区块星链-动态发放(销毁静态贡献值)
	OperationCenterTransferTypeForUserVirtualCoinFlow                          = 104 // 区块星链-运营中心发放
	OtherTransferTypeForUserVirtualCoinFlow                                    = 105 // 区块星链-其他发放

	RegisterRewardTransferTypeForUserVirtualCoinFlow                           = 106 //区块星链-注册奖励
	InviteRegisterRewardTransferTypeForUserVirtualCoinFlow                     = 107 //区块星链-邀请注册奖励
	OfflineConsumeDirectPushRewardByUserTransferTypeForUserVirtualCoinFlow     = 108 //区块星链-线下消费直推奖励(用户)
	OfflineConsumeDirectPushRewardByBusinessTransferTypeForUserVirtualCoinFlow = 109 //区块星链-线下消费直推奖励(商家)
	OfflineConsumeGroupRewardByUserTransferTypeForUserVirtualCoinFlow          = 110 //区块星链-线下消费团队奖励(用户)
	OfflineConsumeGroupRewardByBusinessTransferTypeForUserVirtualCoinFlow      = 111 //区块星链-线下消费团队奖励(商家)
	OnlineConsumeDirectPushRewardTransferTypeForUserVirtualCoinFlow            = 112 //区块星链-线上消费直推奖励
	OnlineConsumeGroupRewardTransferTypeForUserVirtualCoinFlow                 = 113 //区块星链-线上消费团队奖励
	OfflineConsumeBeRewardTransferTypeForUserVirtualCoinFlow                   = 114 //区块星链-线下消费被打赏
	OfflineConsumeRewardTransferTypeForUserVirtualCoinFlow                     = 115 //区块星链-线下消费打赏
	OfflineConsumeRewardTransferTypeForMerchantVirtualCoinFlow                 = 116 //区块星链-线下消费打赏(商家)
	GroupLotteryAndDestroyTransferTypeForUserVirtualCoinFlow                   = 117 //区块星链-自营拼团抽奖销毁
	GroupLotteryAndDirectPushRewardTransferTypeForUserVirtualCoinFlow          = 118 //区块星链-自营拼团抽奖奖励(直推)
	GroupLotteryAndGroupRewardTransferTypeForUserVirtualCoinFlow               = 119 //区块星链-自营拼团抽奖奖励(团队)
)

const DealUserCoinRequestIdPrefix = "%s:block_star_chain_deal_user_coin:%d:uid:%d"

const RewardBaseMultiple = 10           //区块星链-打赏倍数
const RewardBaseMultipleForMerchant = 2 //区块星链-打赏倍数(商家)

type DealUserCoinReq struct {
	Kind         string  `json:"kind"`
	Mid          string  `json:"mid"`
	Title        string  `json:"title"`
	TransferType int     `json:"transfer_type"`
	OrdId        string  `json:"ord_id"`
	CoinId       int     `json:"coin_id"`
	Uid          int     `json:"uid"`
	Amount       float64 `json:"amount"`
}

type DealLotteryDrawReq struct {
	Mid    string `json:"mid"`
	Uid    int    `json:"uid"`
	Amount string `json:"amount"`
}
