package md

type PoolBonus struct {
	BonusLevelType      int               `json:"bonus_level_type"`
	BonusValue          float64           `json:"bonus_value"`     //分红金额
	BonusCoinType       map[string]string `json:"bonus_coin_type"` //分红币种和金额比例
	SecuritiesId        string            `json:"securities_id"`
	QuantityAllocation  string            `json:"quantity_allocation"`
	BonusUserLevelGroup []*BonusUserLevel //分红的前置条件
	BonusUserGroup      []*BonusUserGroup //分红的前置条件
}

type BonusUserLevel struct {
	CoinTypeList    []*CoinTypeList `json:"coin_type_list"`
	LevelID         string          `json:"level_id"`
	LevelWeight     string          `json:"level_weight"`
	SecuritiesValue string          `json:"securities_value"`
	ChildLevelId    string          `json:"child_level_id"`
	Num             string          `json:"num"`
}

type CoinTypeList struct {
	CoinID   string `json:"coin_id"`
	CoinRate string `json:"coin_rate"`
}
type BonusUserGroup struct {
	CoinTypeList    []*CoinTypeList `json:"coin_type_list"`
	Uid             string          `json:"uid"`
	Phone           string          `json:"phone"`
	SecuritiesValue string          `json:"securities_value"`
	ChildLevelId    string          `json:"child_level_id"`
	Num             string          `json:"num"`
}
type BonusCapitalInfo struct {
	BonusLevelType int               `json:"bonus_level_type"`
	BonusCoinType  map[string]string `json:"bonus_coin_type"` //分红币种和金额比例
	BonusValue     float64           `json:"bonus_value"`     //分红金额
	//BonusCoinType map[string]string `json:"bonus_coin_type"`//分红币种和分红金额
	UserLevelGroupBonus []*UserLevelGroupBonus `json:"user_level_group_bonus"`
	UserGroupBonus      []*UserGroupBonus      `json:"user_group_bonus"`
	Massage             string                 `json:"massage"`
}
type UserLevelGroupBonus struct {
	UserLevelId       string           `json:"user_level_id"`        //等级id
	UserNum           string           `json:"user_num"`             //用户人数
	BonusCoinTypeList []*BonusCoinType `json:"bonus_coin_type_list"` //
}
type UserGroupBonus struct {
	Uid               string           `json:"uid"`                  //id
	UserNum           string           `json:"user_num"`             //用户人数
	BonusCoinTypeList []*BonusCoinType `json:"bonus_coin_type_list"` //
	Phone             string           `json:"phone"`                //id

}
type BonusCoinType struct {
	CoinID       string `json:"coin_id"`       //币种类型
	CoinValue    string `json:"coin_value"`    //分红总金额
	AverageValue string `json:"average_value"` //人均分红金额
}

type BonusOrdParam struct {
	Uid             string `json:"uid" remark:"用户id"`
	Pvd             string `json:"pvd" remark:"订单渠道：自营，导购，o2o。。。。"`
	OrdId           string `json:"ord_id" remark:"订单id"`
	Commission      string `json:"commission" remark:"订单总佣金"`
	CommissionType  string `json:"commission_type" remark:"佣金类型（CNY，虚拟币1Id，虚拟币2Id）"`
	CapitalPoolRate string `json:"capital_pool_rate" remark:"资金池存入比例"`
	DepositValue    string `json:"deposit_value" remark:"存入金额"`
	Price           string `json:"price" remark:"价格"`
	PriceValue      string `json:"price_value" remark:"价格"`
}
