package svc

import (
	"code.fnuoos.com/go_rely_warehouse/zyos_go_order_relate_rule.git/db"
	"code.fnuoos.com/go_rely_warehouse/zyos_go_order_relate_rule.git/md"
	"xorm.io/xorm"
)

// 获取用户关系等级, 如果返回nil则没有上级用户
func UserRelativeNetwork(eg *xorm.Engine, uid int) (*[]md.UserRelation, error) {
	parent, err := db.DbsUserRelate(eg, uid)
	if err != nil || parent == nil {
		return nil, err
	}
	var uids []int
	var userRelation []md.UserRelation
	for _, v := range *parent {
		uids = append(uids, v.ParentUid)
		userRelation = append(userRelation, md.UserRelation{
			Uid:    v.ParentUid,
			CurUid: uid,
			Diff:   v.Level,
			Level:  0,
		})
	}
	relateUsers, err := db.DbsUserFindByIds(eg, uids)
	if err != nil {
		return nil, err
	}
	if relateUsers == nil {
		return nil, nil
	}
	tmp := map[int]int{}
	for _, v := range *relateUsers {
		tmp[v.Uid] = v.Level
	}
	for k, v := range userRelation {
		if val, ok := tmp[v.Uid]; ok {
			userRelation[k].Level = val
		}
	}
	if len(userRelation) == 0 {
		return nil, nil
	}
	return &userRelation, nil
}
